<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFColor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFColor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFColor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFColor.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFColor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFColor" class="title">Class XSSFColor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                       title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.ExtendedColor</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFColor</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                           title="interface in org.apache.poi.ss.usermodel">Color</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFColor</span>
extends <a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
           title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></pre>
                <div class="block">Represents a color in SpreadsheetML</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor--">XSSFColor</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">as of 4.0.0, we want to have the indexed map, and all calling contexts have access to it.</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-byte:A-org.apache.poi.xssf.usermodel.IndexedColorMap-">XSSFColor</a></span>(byte[]&nbsp;rgb,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                       title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;colorMap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-java.awt.Color-">XSSFColor</a></span>(java.awt.Color&nbsp;clr)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.17 beta 1 - pass the workbook styles indexed color map, if any</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-java.awt.Color-org.apache.poi.xssf.usermodel.IndexedColorMap-">XSSFColor</a></span>(java.awt.Color&nbsp;clr,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                       title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;map)</code>
                                    <div class="block">TEST ONLY</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-">XSSFColor</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;color)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">3.17 beta 1 - pass the workbook styles indexed color map, if any</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-">XSSFColor</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;color,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                       title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;map)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">4.0.0 - use the factory <a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#from-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-"><code>from(CTColor, IndexedColorMap)</code></a> method instead to check for null CTColor instances.  Make private eventually</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-org.apache.poi.xssf.usermodel.IndexedColorMap-">XSSFColor</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                        title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;colorMap)</code>
                                    <div class="block">new color with the given indexed color map</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-org.apache.poi.ss.usermodel.IndexedColors-org.apache.poi.xssf.usermodel.IndexedColorMap-">XSSFColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
                                        title="enum in org.apache.poi.ss.usermodel">IndexedColors</a>&nbsp;indexedColor,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                       title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;colorMap)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#from-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-">from</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;color,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                       title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;map)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getARGB--">getARGB</a></span>()</code>
                                    <div class="block">Standard Alpha Red Green Blue ctColor value (ARGB).</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getCTColor--">getCTColor</a></span>()</code>
                                    <div class="block">Returns the underlying XML bean</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getIndex--">getIndex</a></span>()</code>
                                    <div class="block">Indexed ctColor value.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getIndexed--">getIndexed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getIndexedRGB--">getIndexedRGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getRGB--">getRGB</a></span>()</code>
                                    <div class="block">Standard Red Green Blue ctColor value (RGB).</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getStoredRBG--">getStoredRBG</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getTheme--">getTheme</a></span>()</code>
                                    <div class="block">Index into the
                                        <clrScheme> collection, referencing a particular
                                            <sysClr> or
                                                <srgbClr> value expressed in the Theme part.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#getTint--">getTint</a></span>()</code>
                                    <div class="block">Specifies the tint value applied to the ctColor.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#hasAlpha--">hasAlpha</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#hasTint--">hasTint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#isAuto--">isAuto</a></span>()</code>
                                    <div class="block">A boolean value indicating the ctColor is automatic and system
                                        ctColor dependent.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#isIndexed--">isIndexed</a></span>()</code>
                                    <div class="block">A boolean value indicating the ctColor is Indexed</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#isRGB--">isRGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#isThemed--">isThemed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#setAuto-boolean-">setAuto</a></span>(boolean&nbsp;auto)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#setIndexed-int-">setIndexed</a></span>(int&nbsp;indexed)</code>
                                    <div class="block">Indexed ctColor value.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#setRGB-byte:A-">setRGB</a></span>(byte[]&nbsp;rgb)</code>
                                    <div class="block">Standard Alpha Red Green Blue ctColor value (ARGB).</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#setTheme-int-">setTheme</a></span>(int&nbsp;theme)</code>
                                    <div class="block">Index into the
                                        <clrScheme> collection, referencing a particular
                                            <sysClr> or
                                                <srgbClr> value expressed in the Theme part.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#setTint-double-">setTint</a></span>(double&nbsp;tint)</code>
                                    <div class="block">Specifies the tint value applied to the ctColor.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#toXSSFColor-org.apache.poi.ss.usermodel.Color-">toXSSFColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                    <div class="block">Checked type cast <tt>color</tt> to an XSSFColor.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.ExtendedColor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                        title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getARGBHex--">getARGBHex</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getRGBOrARGB--">getRGBOrARGB</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getRGBWithTint--">getRGBWithTint</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setARGBHex-java.lang.String-">setARGBHex</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setColor-java.awt.Color-">setColor</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFColor-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;XSSFColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;color)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.17 beta 1 - pass the workbook styles indexed color map, if any</span>
                                </div>
                                <div class="block">Create an instance of XSSFColor from the supplied XML bean, with
                                    default color indexes
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The <code>CTColor</code> to use as color-value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;XSSFColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;color,
                                                      <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                                         title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;map)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">4.0.0 - use the factory <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#from-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-"><code>from(CTColor, IndexedColorMap)</code></a> method instead to check for null CTColor instances.  Make private eventually</span>
                                </div>
                                <div class="block">Create an instance of XSSFColor from the supplied XML bean, with the
                                    given color indexes
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The <code>CTColor</code> to use as color-value.</dd>
                                    <dd><code>map</code> - The IndexedColorMap to use instead of the default one</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;XSSFColor()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">as of 4.0.0, we want to have the indexed map, and all calling contexts have access to it.</span>
                                </div>
                                <div class="block">Create an new instance of XSSFColor, without knowledge of any custom
                                    indexed colors.
                                    This is OK for just transiently setting indexes, etc. but is discouraged in read/get
                                    uses
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#XSSFColor-org.apache.poi.xssf.usermodel.IndexedColorMap-"><code>XSSFColor(IndexedColorMap)</code></a>,
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#from-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-"><code>from(CTColor,
                                            IndexedColorMap)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor-org.apache.poi.xssf.usermodel.IndexedColorMap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>public&nbsp;XSSFColor(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                        title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;colorMap)</pre>
                                <div class="block">new color with the given indexed color map</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>colorMap</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;XSSFColor(java.awt.Color&nbsp;clr)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">3.17 beta 1 - pass the workbook styles indexed color map, if any</span>
                                </div>
                                <div class="block">Create an instance of XSSFColor from the awt Color</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>clr</code> - awt Color</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor-java.awt.Color-org.apache.poi.xssf.usermodel.IndexedColorMap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>public&nbsp;XSSFColor(java.awt.Color&nbsp;clr,
                 <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                    title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;map)</pre>
                                <div class="block">TEST ONLY</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>clr</code> - awt Color</dd>
                                    <dd><code>map</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor-byte:A-org.apache.poi.xssf.usermodel.IndexedColorMap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>public&nbsp;XSSFColor(byte[]&nbsp;rgb,
                 <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                    title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;colorMap)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rgb</code> - The RGB-byte-values for the Color</dd>
                                    <dd><code>colorMap</code> - The IndexedColorMap to use instead of the default one
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFColor-org.apache.poi.ss.usermodel.IndexedColors-org.apache.poi.xssf.usermodel.IndexedColorMap-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFColor</h4>
                                <pre>public&nbsp;XSSFColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
                                        title="enum in org.apache.poi.ss.usermodel">IndexedColors</a>&nbsp;indexedColor,
                 <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                    title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;colorMap)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>indexedColor</code> - color index (Enum named for default colors)</dd>
                                    <dd><code>colorMap</code> - The IndexedColorMap to use instead of the default one
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="from-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor-org.apache.poi.xssf.usermodel.IndexedColorMap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>from</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a>&nbsp;from(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;color,
                             <a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a>&nbsp;map)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> -</dd>
                                    <dd><code>map</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>null if color is null, new instance otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isAuto--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isAuto</h4>
                                <pre>public&nbsp;boolean&nbsp;isAuto()</pre>
                                <div class="block">A boolean value indicating the ctColor is automatic and system
                                    ctColor dependent.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isAuto--">isAuto</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the color is automatic</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAuto-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAuto</h4>
                                <pre>public&nbsp;void&nbsp;setAuto(boolean&nbsp;auto)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>auto</code> - true if the ctColor is automatic and system ctColor
                                        dependent.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isIndexed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isIndexed</h4>
                                <pre>public&nbsp;boolean&nbsp;isIndexed()</pre>
                                <div class="block">A boolean value indicating the ctColor is Indexed</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isIndexed--">isIndexed</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the color is indexed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRGB</h4>
                                <pre>public&nbsp;boolean&nbsp;isRGB()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isRGB--">isRGB</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the ctColor is RGB or ARGB based</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isThemed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isThemed</h4>
                                <pre>public&nbsp;boolean&nbsp;isThemed()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isThemed--">isThemed</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the ctColor is Theme based</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasAlpha--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasAlpha</h4>
                                <pre>public&nbsp;boolean&nbsp;hasAlpha()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the ctColor has a alpha</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasTint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasTint</h4>
                                <pre>public&nbsp;boolean&nbsp;hasTint()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the ctColor has a tint</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public&nbsp;short&nbsp;getIndex()</pre>
                                <div class="block">Indexed ctColor value. Only used for backwards compatibility.
                                    References a ctColor in indexedColors.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getIndex--">getIndex</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Indexed Color index value, if <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isIndexed--"><code>ExtendedColor.isIndexed()</code></a>
                                        is true
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndexed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexed</h4>
                                <pre>public&nbsp;short&nbsp;getIndexed()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Indexed ctColor value. Only used for backwards compatibility. References a
                                        ctColor in indexedColors.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIndexed-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndexed</h4>
                                <pre>public&nbsp;void&nbsp;setIndexed(int&nbsp;indexed)</pre>
                                <div class="block">Indexed ctColor value. Only used for backwards compatibility.
                                    References a ctColor in indexedColors.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>indexed</code> - color index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRGB</h4>
                                <pre>public&nbsp;byte[]&nbsp;getRGB()</pre>
                                <div class="block">Standard Red Green Blue ctColor value (RGB).
                                    If there was an A (Alpha) value, it will be stripped.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getRGB--">getRGB</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Standard Red Green Blue ctColor value (RGB) bytes.
                                        If there was an A (Alpha) value, it will be stripped.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getARGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getARGB</h4>
                                <pre>public&nbsp;byte[]&nbsp;getARGB()</pre>
                                <div class="block">Standard Alpha Red Green Blue ctColor value (ARGB).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getARGB--">getARGB</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Standard Alpha Red Green Blue ctColor value (ARGB) bytes.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStoredRBG--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStoredRBG</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getStoredRBG()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getStoredRBG--">getStoredRBG</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>RGB or ARGB bytes or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndexedRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexedRGB</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getIndexedRGB()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getIndexedRGB--">getIndexedRGB</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index color RGB bytes, if <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isIndexed--"><code>ExtendedColor.isIndexed()</code></a>
                                        == true, null if not indexed or index is invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRGB-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRGB</h4>
                                <pre>public&nbsp;void&nbsp;setRGB(byte[]&nbsp;rgb)</pre>
                                <div class="block">Standard Alpha Red Green Blue ctColor value (ARGB).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setRGB-byte:A-">setRGB</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rgb</code> - bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTheme--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTheme</h4>
                                <pre>public&nbsp;int&nbsp;getTheme()</pre>
                                <div class="block">Index into the
                                    <clrScheme> collection, referencing a particular
                                        <sysClr> or
                                            <srgbClr> value expressed in the Theme part.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getTheme--">getTheme</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Index of Theme color, if <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isThemed--"><code>ExtendedColor.isThemed()</code></a>
                                        is true
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTheme-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTheme</h4>
                                <pre>public&nbsp;void&nbsp;setTheme(int&nbsp;theme)</pre>
                                <div class="block">Index into the
                                    <clrScheme> collection, referencing a particular
                                        <sysClr> or
                                            <srgbClr> value expressed in the Theme part.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>theme</code> - index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTint</h4>
                                <pre>public&nbsp;double&nbsp;getTint()</pre>
                                <div class="block">Specifies the tint value applied to the ctColor.

                                    <p>
                                        If tint is supplied, then it is applied to the RGB value of the ctColor to
                                        determine the final
                                        ctColor applied.
                                    </p>
                                    <p>
                                        The tint value is stored as a double from -1.0 .. 1.0, where -1.0 means 100%
                                        darken and
                                        1.0 means 100% lighten. Also, 0.0 means no change.
                                    </p>
                                    <p>
                                        In loading the RGB value, it is converted to HLS where HLS values are
                                        (0..HLSMAX), where
                                        HLSMAX is currently 255.
                                    </p>
                                    Here are some examples of how to apply tint to ctColor:
                                    <blockquote>
 <pre>
 If (tint &lt; 0)
 Lum' = Lum * (1.0 + tint)

 For example: Lum = 200; tint = -0.5; Darken 50%
 Lum' = 200 * (0.5) =&gt; 100
 For example: Lum = 200; tint = -1.0; Darken 100% (make black)
 Lum' = 200 * (1.0-1.0) =&gt; 0
 If (tint &gt; 0)
 Lum' = Lum * (1.0-tint) + (HLSMAX - HLSMAX * (1.0-tint))
 For example: Lum = 100; tint = 0.75; Lighten 75%

 Lum' = 100 * (1-.75) + (HLSMAX - HLSMAX*(1-.75))
 = 100 * .25 + (255 - 255 * .25)
 = 25 + (255 - 63) = 25 + 192 = 217
 For example: Lum = 100; tint = 1.0; Lighten 100% (make white)
 Lum' = 100 * (1-1) + (HLSMAX - HLSMAX*(1-1))
 = 100 * 0 + (255 - 255 * 0)
 = 0 + (255 - 0) = 255
 </pre>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getTint--">getTint</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the tint value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTint-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTint</h4>
                                <pre>public&nbsp;void&nbsp;setTint(double&nbsp;tint)</pre>
                                <div class="block">Specifies the tint value applied to the ctColor.

                                    <p>
                                        If tint is supplied, then it is applied to the RGB value of the ctColor to
                                        determine the final
                                        ctColor applied.
                                    </p>
                                    <p>
                                        The tint value is stored as a double from -1.0 .. 1.0, where -1.0 means 100%
                                        darken and
                                        1.0 means 100% lighten. Also, 0.0 means no change.
                                    </p>
                                    <p>
                                        In loading the RGB value, it is converted to HLS where HLS values are
                                        (0..HLSMAX), where
                                        HLSMAX is currently 255.
                                    </p>
                                    Here are some examples of how to apply tint to ctColor:
                                    <blockquote>
 <pre>
 If (tint &lt; 0)
 Lum' = Lum * (1.0 + tint)

 For example: Lum = 200; tint = -0.5; Darken 50%
 Lum' = 200 * (0.5) =&gt; 100
 For example: Lum = 200; tint = -1.0; Darken 100% (make black)
 Lum' = 200 * (1.0-1.0) =&gt; 0
 If (tint &gt; 0)
 Lum' = Lum * (1.0-tint) + (HLSMAX - HLSMAX * (1.0-tint))
 For example: Lum = 100; tint = 0.75; Lighten 75%

 Lum' = 100 * (1-.75) + (HLSMAX - HLSMAX*(1-.75))
 = 100 * .25 + (255 - 255 * .25)
 = 25 + (255 - 63) = 25 + 192 = 217
 For example: Lum = 100; tint = 1.0; Lighten 100% (make white)
 Lum' = 100 * (1-1) + (HLSMAX - HLSMAX*(1-1))
 = 100 * 0 + (255 - 255 * 0)
 = 0 + (255 - 0) = 255
 </pre>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setTint-double-">setTint</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                                title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tint</code> - the tint value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTColor</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor&nbsp;getCTColor()</pre>
                                <div class="block">Returns the underlying XML bean</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying XML bean</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toXSSFColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toXSSFColor</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a>&nbsp;toXSSFColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                                <div class="block">Checked type cast <tt>color</tt> to an XSSFColor.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - the color to type cast</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type casted color</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if color is null or is not an
                                        instance of XSSFColor
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFColor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFColor.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFColor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
